<template>
    <div class="is-card team-card">
        <b class="team-type">{{ type }}</b>
        <br />
        <input v-model.lazy.trim="team.fullName" class="team-name" />
        <br />
    </div>
</template>

<script lang="ts">
import Vue, { PropType } from "vue";
import state from "~/state";

export default Vue.extend({
    props: {
        type: {
            type: String as PropType<TeamT>,
            required: true,
        },
    },
    computed: {
        team(): ITeam {
            return state.teams[this.type];
        },
    },
});
</script>

<style scoped>
.description {
    margin-bottom: 5px;
}
.team-type {
    line-height: 1.5;
    font-size: 25px;
}

.team-card * {
    display: inline-block;
}

.team-card {
    text-align: center;
    width: 250px;
    line-height: 1;
    margin: 0 50px;
}
.team-score {
    display: block;
    font-size: 40px;
    width: 100%;
}

.inp-score {
    width: 75%;
}
.add-score {
    width: 20%;
}
.timeout-possession {
    width: 48%;
}
.timeout-possession > * {
    text-align: center;
    width: 100%;
}
.team-name {
    border: 0px;
    padding: 0px;
    margin: 0px;
    width: 100%;
    font-size: 20px;
    font-style: italic;
}
.touchdown-btn {
    width: 100%;
}
.color-picker {
    width: 48%;
}
.color-display {
    height: 35px;
    width: 100%;
    border: 2px solid;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 25px;
}
.color-input {
    border: 0px;
    padding: 0px;
    margin: 0px;
    width: 100%;
    font-size: 20px;
    font-style: italic;
}
</style>
